For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETList Event Subscriptions
      • POSTCreate an Event Subscription
      • GETGet an Event Subscription
      • PATCHUpdate an Event Subscription
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesEvent Subscriptions

List Event Subscriptions

GET
/v1/event_subscriptions
GET
/v1/event_subscriptions
$curl https://api.givechariot.com/v1/event_subscriptions \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "url": "https://example.com/webhook",
5 "id": "4d06d393-1f14-46cf-b02d-8db17d7ed06a",
6 "created_at": "2024-01-14T12:48:56.37Z",
7 "status": "active",
8 "category": "grant.created"
9 }
10 ],
11 "nextPageToken": "string"
12}
List all event subscriptions corresponding to your Chariot account.
Was this page helpful?
Previous

Create an Event Subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 100 objects.

cursorstringOptional
The cursor to use for pagination. If not set, the first page of results will be returned.

Response

The response for Events.list
resultslist of objects
nextPageTokenstring

A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error